Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class DataLoader

    java.lang.Object
      |
      +--examples.buybeans.item.DataLoader

public class DataLoader
extends java.lang.Object

The DataLoader helps BuyBeans.com loads different type of beans to the database. These beans can be BasicBeans, BeanieBaby, CoffeeBeans, or JellyBeans.

Constructor Summary
`DataLoader()` DataLoader constructor comment.
`DataLoader(examples.buybeans.admin.ASClient asclient, java.io.File itemfile)`
`DataLoader(java.lang.String[] argv)`
`DataLoader(java.lang.String url, java.lang.String userid, java.lang.String password, java.io.File itemfile)`

Method Summary
`boolean` | `addBasicBean(examples.buybeans.admin.ASClient asclient, java.lang.String identifier, java.lang.String type, java.lang.String version, java.lang.String supplier, Price price, java.lang.String description, java.lang.String fullDescription, int customerRating, com.sun.java.util.collections.LinkedList qualities)`
`boolean` | `addBeanieBaby(examples.buybeans.admin.ASClient asclient, java.lang.String identifier, java.lang.String type, java.lang.String version, java.lang.String supplier, Price price, java.lang.String description, java.lang.String fullDescription, int customerRating, boolean retired, boolean anomaly, int availability, java.lang.String image, com.sun.java.util.collections.LinkedList qualities)`
`boolean` | `addCoffeeBean(examples.buybeans.admin.ASClient asclient, java.lang.String identifier, java.lang.String type, java.lang.String version, java.lang.String supplier, Price price, java.lang.String description, java.lang.String fullDescription, int customerRating, boolean gourmet, java.lang.String country, com.sun.java.util.collections.LinkedList qualities)`
`boolean` | `addJellyBean(examples.buybeans.admin.ASClient asclient, java.lang.String identifier, java.lang.String type, java.lang.String version, java.lang.String supplier, Price price, java.lang.String description, java.lang.String fullDescription, int customerRating, boolean gourmet, boolean sugarFree, com.sun.java.util.collections.LinkedList qualities)`
`examples.buybeans.admin.ASClient` | `login(java.lang.String url, java.lang.String userid, java.lang.String password)`
`static void` | `main(java.lang.String[] argv)`
`void` | `parseArgs(java.lang.String[] argv)`
`void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataLoader

    public DataLoader()

  DataLoader constructor comment.

### DataLoader

    public DataLoader(java.lang.String[] argv)
               throws examples.buybeans.admin.ASClientException,
                      java.io.IOException

### DataLoader

    public DataLoader(java.lang.String url,
                      java.lang.String userid,
                      java.lang.String password,
                      java.io.File itemfile)
               throws examples.buybeans.admin.ASClientException,
                      java.io.IOException

### DataLoader

    public DataLoader(examples.buybeans.admin.ASClient asclient,
                      java.io.File itemfile)
               throws java.io.IOException

Method Detail

### addBasicBean

    public boolean addBasicBean(examples.buybeans.admin.ASClient asclient,
                                java.lang.String identifier,
                                java.lang.String type,
                                java.lang.String version,
                                java.lang.String supplier,
                                Price price,
                                java.lang.String description,
                                java.lang.String fullDescription,
                                int customerRating,
                                com.sun.java.util.collections.LinkedList qualities)

### addBeanieBaby

    public boolean addBeanieBaby(examples.buybeans.admin.ASClient asclient,
                                 java.lang.String identifier,
                                 java.lang.String type,
                                 java.lang.String version,
                                 java.lang.String supplier,
                                 Price price,
                                 java.lang.String description,
                                 java.lang.String fullDescription,
                                 int customerRating,
                                 boolean retired,
                                 boolean anomaly,
                                 int availability,
                                 java.lang.String image,
                                 com.sun.java.util.collections.LinkedList qualities)

  Parameters:
    `asclient` - examples.buybeans.admin.ASClient
    `identifier` - java.lang.String
    `type` - java.lang.String
    `version` - java.lang.String
    `supplier` - java.lang.String
    `price` - theory.smart.axiom.units.Price
    `description` - java.lang.String
    `fullDescription` - java.lang.String
    `customerRating` - int
    `retired` - boolean
    `anomaly` - boolean
    `availability` - int
    `image` - java.lang.String
    `qualities` - com.sun.java.util.collections.LinkedList
  Returns:
    boolean

### addCoffeeBean

    public boolean addCoffeeBean(examples.buybeans.admin.ASClient asclient,
                                 java.lang.String identifier,
                                 java.lang.String type,
                                 java.lang.String version,
                                 java.lang.String supplier,
                                 Price price,
                                 java.lang.String description,
                                 java.lang.String fullDescription,
                                 int customerRating,
                                 boolean gourmet,
                                 java.lang.String country,
                                 com.sun.java.util.collections.LinkedList qualities)

  Parameters:
    `asclient` - examples.buybeans.admin.ASClient
    `identifier` - java.lang.String
    `type` - java.lang.String
    `version` - java.lang.String
    `supplier` - java.lang.String
    `price` - theory.smart.axiom.units.Price
    `description` - java.lang.String
    `fullDescription` - java.lang.String
    `customerRating` - int
    `gourmet` - boolean
    `country` - java.lang.String
    `qualities` - com.sun.java.util.collections.LinkedList
  Returns:
    boolean

### addJellyBean

    public boolean addJellyBean(examples.buybeans.admin.ASClient asclient,
                                java.lang.String identifier,
                                java.lang.String type,
                                java.lang.String version,
                                java.lang.String supplier,
                                Price price,
                                java.lang.String description,
                                java.lang.String fullDescription,
                                int customerRating,
                                boolean gourmet,
                                boolean sugarFree,
                                com.sun.java.util.collections.LinkedList qualities)

  Parameters:
    `asclient` - examples.buybeans.admin.ASClient
    `identifier` - java.lang.String
    `type` - java.lang.String
    `version` - java.lang.String
    `supplier` - java.lang.String
    `price` - theory.smart.axiom.units.Price
    `description` - java.lang.String
    `fullDescription` - java.lang.String
    `customerRating` - int
    `gourmet` - boolean
    `sugarfree` - boolean
    `qualities` - com.sun.java.util.collections.LinkedList
  Returns:
    boolean

### login

    public examples.buybeans.admin.ASClient login(java.lang.String url,
                                                  java.lang.String userid,
                                                  java.lang.String password)
                                           throws examples.buybeans.admin.ASClientException

### main

    public static void main(java.lang.String[] argv)

### parseArgs

    public final void parseArgs(java.lang.String[] argv)

### usage

    public void usage()

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.